Package biotransformer.transformation

## Class Biotransformation

- java.lang.Object
- - biotransformer.transformation.Biotransformation

    public class Biotransformation
    extends java.lang.Object

### Constructor Summary

Constructors
`Biotransformation​(org.openscience.cdk.interfaces.IAtomContainerSet substrates, MRPatterns.ReactionName reactionType, Enzyme.EnzymeName enzymeName, org.openscience.cdk.interfaces.IAtomContainerSet products)`
`Biotransformation​(org.openscience.cdk.interfaces.IAtomContainerSet substrates, MRPatterns.ReactionName reactionType, java.util.ArrayList<Enzyme.EnzymeName> enzymeNames, org.openscience.cdk.interfaces.IAtomContainerSet products, BioSystem.BioSystemName bsysName)`
`Biotransformation​(org.openscience.cdk.interfaces.IAtomContainerSet substrates, MRPatterns.ReactionName reactionType, java.util.ArrayList<Enzyme.EnzymeName> enzymeNames, org.openscience.cdk.interfaces.IAtomContainerSet products, java.lang.Double score, BioSystem.BioSystemName bsysName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `display()`
`boolean` `equals​(Biotransformation biotransformation)`
`BioSystem.BioSystemName` `getBioSystemName()`
`java.util.ArrayList<Enzyme.EnzymeName>` `getEnzymeNames()`
`org.openscience.cdk.AtomContainerSet` `getProducts()`
`MRPatterns.ReactionName` `getReactionType()`
`java.lang.Double` `getScore()`
`org.openscience.cdk.AtomContainerSet` `getSubstrates()`
`void` `setEnzymeNames​(java.util.ArrayList<Enzyme.EnzymeName> elsit)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Biotransformation

    public Biotransformation​(org.openscience.cdk.interfaces.IAtomContainerSet substrates,
                             MRPatterns.ReactionName reactionType,
                             java.util.ArrayList<Enzyme.EnzymeName> enzymeNames,
                             org.openscience.cdk.interfaces.IAtomContainerSet products,
                             BioSystem.BioSystemName bsysName)

#### Biotransformation

    public Biotransformation​(org.openscience.cdk.interfaces.IAtomContainerSet substrates,
                             MRPatterns.ReactionName reactionType,
                             java.util.ArrayList<Enzyme.EnzymeName> enzymeNames,
                             org.openscience.cdk.interfaces.IAtomContainerSet products,
                             java.lang.Double score,
                             BioSystem.BioSystemName bsysName)

#### Biotransformation

    public Biotransformation​(org.openscience.cdk.interfaces.IAtomContainerSet substrates,
                             MRPatterns.ReactionName reactionType,
                             Enzyme.EnzymeName enzymeName,
                             org.openscience.cdk.interfaces.IAtomContainerSet products)

### Method Detail

#### getSubstrates

    public org.openscience.cdk.AtomContainerSet getSubstrates()

#### getProducts

    public org.openscience.cdk.AtomContainerSet getProducts()

#### getReactionType

    public MRPatterns.ReactionName getReactionType()

#### getEnzymeNames

    public java.util.ArrayList<Enzyme.EnzymeName> getEnzymeNames()

#### getBioSystemName

    public BioSystem.BioSystemName getBioSystemName()

#### getScore

    public java.lang.Double getScore()

#### setEnzymeNames

    public void setEnzymeNames​(java.util.ArrayList<Enzyme.EnzymeName> elsit)

#### display

    public void display()

#### equals

    public boolean equals​(Biotransformation biotransformation)